package de.mlessmann.certassist.config;

import org.springframework.context.EnvironmentAware;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;
import org.springframework.core.env.Environment;

@Configuration
@Profile("test")
public class TestAppEnvConfig implements EnvironmentAware {

    public static final String TEST_APP_KEY = "5i4Y)Ja0{YCl";

    @Override
    public void setEnvironment(Environment environment) {
        if (environment.getProperty("APP_KEY") == null) {
            System.setProperty("APP_KEY", TEST_APP_KEY);
        }
    }
}
